/* textarea */
#adrPreviewWrapper,
#VCardTextboxWrapper {
    display: flex;
}

#adrPreviewTextBox,
#VCardTextbox {
    width: 100%;
    box-sizing: border-box;
}

/* for the contribute button */
.addon-detail-contribute-button {
	-moz-context-properties: fill;
	fill: currentColor;
	background-image: url("chrome://global/skin/icons/heart.svg");
	background-repeat: no-repeat;
	background-position: 8px;
	padding-inline-start: 28px;
	margin-top: var(--card-padding);
	margin-bottom: 0;
	align-self: flex-end;
}
.addon-detail-contribute-button:dir(rtl) {
	background-position-x: right 8px;
}

#category-cardbook-generalPane > .category-icon,
#category-cardbook-CardBookPane > .category-icon,
#category-cardbook-EditionPane > .category-icon,
#category-cardbook-advancedPane > .category-icon,
#category-cardbook-IMPPPane > .category-icon,
#category-cardbook-customFieldsPane > .category-icon,
#category-cardbook-listsPane > .category-icon,
#category-cardbook-syncPane > .category-icon,
#category-cardbook-emailPane > .category-icon,
#category-cardbook-birthdaylistPane > .category-icon,
#category-cardbook-helpPane > .category-icon {
	-moz-context-properties: fill, stroke, stroke-opacity;
	fill: color-mix(in srgb, currentColor 20%, transparent);
	stroke: currentColor;
}

/* Preference tabs */
#category-cardbook-generalPane > .category-icon {
	list-style-image: url("chrome://cardbook/content/skin/icons/prefs.svg");
}
#category-cardbook-CardBookPane > .category-icon {
	list-style-image: url("chrome://cardbook/content/skin/icons/tab.svg");
}
#category-cardbook-EditionPane > .category-icon {
	list-style-image: url("chrome://cardbook/content/skin/icons/edit.svg");
}
#category-cardbook-advancedPane > .category-icon {
	list-style-image: url("chrome://cardbook/content/skin/icons/advanced.svg");
}
#category-cardbook-IMPPPane > .category-icon {
	list-style-image: url("chrome://cardbook/content/skin/icons/chat.svg");
}
#category-cardbook-customFieldsPane > .category-icon {
	list-style-image: url("chrome://cardbook/content/skin/icons/custom.svg");
}
#category-cardbook-listsPane > .category-icon {
	list-style-image: url("chrome://cardbook/content/skin/icons/list.svg");
}
#category-cardbook-syncPane > .category-icon {
	list-style-image: url("chrome://cardbook/content/skin/icons/synchronize.svg");
}
#category-cardbook-emailPane > .category-icon {
	list-style-image: url("chrome://cardbook/content/skin/icons/compose.svg");
}
#category-cardbook-birthdaylistPane > .category-icon {
	list-style-image: url("chrome://cardbook/content/skin/icons/smiley.svg");
}
#category-cardbook-helpPane > .category-icon {
	list-style-image: url("chrome://cardbook/content/skin/icons/help.svg");
}

.cardbook-td-input {
	width: 80%;
}
.cardbook-td-input > input {
	width: 90%;
}
.listPane-input {
	width: 60%;
}

.hbox {
	display: flex;
	flex-wrap: "row nowrap";
	align-items: center;
	justify-content: center;
}
.vbox {
	display: flex;
	flex-wrap: "column nowrap";
	align-items: center;
	justify-content: center;
}
.flex {
	flex-grow: 1;
}